const partnersSlider = new Swiper('.partners-slider .swiper', {
    direction: 'horizontal',
    loop: true,
    autoplay: {
        delay: 800,
        disableOnInteraction: false,
    },
});

const partnersSliderElement = document.querySelector('.partners-slider .swiper');
if (partnersSliderElement) {
    partnersSliderElement.addEventListener('mouseenter', () => partnersSlider.autoplay.stop());
    partnersSliderElement.addEventListener('mouseleave', () => partnersSlider.autoplay.start());
}

const imageSlider = new Swiper(".image-slider", {
    loop: true,
    slidesPerView: 3,
    centeredSlides: true,
    effect: "coverflow",
    coverflowEffect: {         
        rotate: 0,
        depth: 200,
        stretch: 30,
        modifier: 1,
        scale: 1,
        slideShadows: false,
    },
    grabCursor: true,
    allowTouchMove: true,
});

const infoSlider = new Swiper(".info-slider", {
    loop: true,
    grabCursor: true,
    allowTouchMove: true,
    pagination: {
        el: '.swiper-pagination',
        clickable: true,
    },
});

imageSlider.controller.control = infoSlider;
infoSlider.controller.control = imageSlider;